Task Manager Create Collector With Info Filter For Tasks

Task Manager Create Collector With Info Filter For Tasks

Creates a TaskHistoryCollector, a specialized HistoryCollector that gathers TaskInfo data objects.

A TaskHistoryCollector does not persist beyond the current client session.

Since: vSphere API Release 8.0.3.0

Required privileges: System.View

Request
URI
POST
https://{api_host}/sdk/vim25/{release}/TaskManager/{moId}/CreateCollectorWithInfoFilterForTasks
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case TaskManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.0.0.0 APIs.


Request Body
Required
"CreateCollectorWithInfoFilterForTasksRequestType Object"
filter
Required

The specification for the task query filter.

infoFilter
Optional

The specification for the task info filter.

Authentication
This operation uses the following authentication methods.
Responses
200

The task collector based on the filter.

Returns MoRefTaskHistoryCollector of type(s) application/json
"MoRefTaskHistoryCollector Object"

500

InvalidArgument: if the filter is null or unknown.

InvalidState: if there are more than the maximum number of task collectors.

NotSupported: if called directly on a host.

Returns InvalidState of type(s) application/json
"InvalidState Object"

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/sdk/vim25/{release}/TaskManager/{moId}/CreateCollectorWithInfoFilterForTasks